---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.130.0.44
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: console-7d6f969d46-crrrm
      namespace: openshift-console
      resourceVersion: "23525"
      uid: fb4d1f88-450c-4447-a5fb-8f1936f18ec8
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.128.0.46
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: console-7d6f969d46-7jdhw
      namespace: openshift-console
      resourceVersion: "23291"
      uid: 95b4e7b5-7bbe-42f7-b8d7-f735ff809ad7
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:52:04Z"
    creationTimestamp: "2022-03-08T10:44:17Z"
    generateName: console-
    generation: 12
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: console
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"64f3c360-1d43-42ff-991f-05fd6ef25450"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:51:44Z"
    name: console-4jd7c
    namespace: openshift-console
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: console
      uid: 64f3c360-1d43-42ff-991f-05fd6ef25450
    resourceVersion: "23526"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-console/endpointslices/console-4jd7c
    uid: 4d7753ca-5d15-4d61-97f5-74cea598dab4
  ports:
  - name: https
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.130.0.30
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: downloads-88d4c8dfb-5g9qb
      namespace: openshift-console
      resourceVersion: "17531"
      uid: 3bcf3885-72f6-4040-b2a4-83de4d09fc51
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.129.0.20
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: downloads-88d4c8dfb-w49d2
      namespace: openshift-console
      resourceVersion: "17622"
      uid: 52d9b14f-2245-482d-9833-6d97258abe03
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:44:52Z"
    creationTimestamp: "2022-03-08T10:44:09Z"
    generateName: downloads-
    generation: 5
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: downloads
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"518b82a7-76c8-4f06-a932-03cce7cfa984"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:44:43Z"
    name: downloads-q6jcc
    namespace: openshift-console
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: downloads
      uid: 518b82a7-76c8-4f06-a932-03cce7cfa984
    resourceVersion: "17624"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-console/endpointslices/downloads-q6jcc
    uid: 636f0d63-fe73-48f5-9280-a6ec5ce7c33d
  ports:
  - name: http
    port: 8080
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82657"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-console/endpointslices
